Skip to content

Payee Delete ​

API Information

  • Path: /api/v1/beneficiary/remove
  • Method: POST
  • Content-Type: application/json

Business Description

  • Used to delete payee information that is no longer in use.

Request Parameters ​

Headers ​

Request Headers
ParameterValueRequiredDescription
Content-Typeapplication/jsonYesRequest body type

Request Body ​

Main Parameters

ParameterTypeDescriptionRequired
merchantNostringThe merchant number of the request initiator.M
onBehalfOfstringThe merchant number that the request is actually associated with. Provide this field only when initiating a request on behalf of another merchant.N
beneficiaryIdintegerPayee IDM
signstringSignatureM

Request Example ​

json
{
  "merchantNo": "800181",
  "beneficiaryId": 1899696430844878848,
  "sign": "12312sdfadsf"
}

Response Result ​

Response Headers
ParameterValueRequiredDescription
content-typeapplication/json;charset=UTF-8YesResponse body type

Response Parameters ​

ParameterTypeDescription
respCodestringResponse Code
respMsgstringResponse Message
dataobjectResponse Data
  └─beneficiaryIdintegerPayee ID
  └─statusstringDeletion Status

Response Example ​

json
{
  "respCode": "20000",
  "respMsg": "Success",
  "data": {
    "beneficiaryId": 1899696430844878848,
    "status": "DELETED"
  }
}

Important Notes

  1. Deletion operation cannot be reversed
  2. Please ensure the Payee ID is correct
  3. It is recommended to query and confirm payee information before deletion